<template>
  <div class="body">
    <h1 class="text-center mt-10 text-4xl">
      Tareas del {{ curso.nombre }}
    </h1>
    <h1 class="text-center mt-10 text-4xl">
      {{ asigResponse.tipoAsignatura }}
    </h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
  <ul>
    <li>
      <a @click="
          $router.push({
            path: elegirAsignaturaURL  
          })
        ">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-4 h-4 mr-2 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"></path></svg>
        Elegir Asignatura
      </a>
    </li> 
    <li>
      <a  @click="
          $router.push({
            path: listaTareasURL,
            query: {
              curso_id: this.$route.query.curso_id,
              asig_id:  this.$route.query.asig_id,
             
            
            },
          })
        ">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-4 h-4 mr-2 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"></path></svg>
        Lista Tareas
      </a>
    </li> 
 

  </ul>
</div>
    <div class="overflow-x-auto w-full text-center">
      <table v-if="tareas.length > 0" class="table w-4/6 mt-14 m-auto">
        <!-- head -->
        <thead>
          <tr>
            <th>
              <label>
                <input type="checkbox" class="checkbox" />
              </label>
            </th>
            <th>Nombre Tarea</th>
            <th>Descripción</th>
            <th>Fecha Entrega</th>
            <th>Hora Entrega</th>

     
          </tr>
        </thead>
        <tbody v-for="tarea in tareas" :key="tarea.tareaId">
          <tr class="hover">
            <th>
              <label>
                <input type="checkbox" class="checkbox" />
              </label>
            </th>
            <td>
              <div class="flex items-center space-x-3">
                <div>
                  <div class="font-bold">{{ tarea.nombreTarea }}</div>
                </div>
              </div>
            </td>
            <td
              class="w-44"
              @click="
                $router.push({
                  path: 'DetalleTareaEstudiante',
                  query: {
                    curso_id: route,
                    asig_id: routeAsig,
                    tarea_id: tarea.tareaId,
                  },
                })
              "
            >
              {{ tarea.descTarea }}

              <br />
            </td>
            <td>{{ tarea.fechTermino.substring(0, 10) }}</td>
            <td>{{ tarea.horaTermino.substring(0, 10) }} {{ tarea.asigId }}</td>
       
          </tr>
        </tbody>

        <tfoot>
          <tr>
            <th></th>
            <th>NOMBRE TAREA</th>
            <th>Descripción</th>
            <th>Fecha Entrega</th>
            <th>Hora Entrega</th>
       
          </tr>
        </tfoot>
      </table>
      <div
        v-else
        class="text-center bg-secondary w-2/4 m-auto rounded-xl h-auto items-align-center align-middle"
      >
        <h1 class="text-2xl mt-24 font-bold">
          No se encuentran tareas de {{ asigResponse.tipoAsignatura }} en el
          curso seleccionado
        </h1>
      </div>
    </div>
  </div>
</template>
<script>
import axios from "axios";
export default {
  components: {},
  data() {
    return {
      route: this.$route.query.curso_id,
      routeAsig: this.$route.query.asig_id,

      tareas: [],
      curso: [],
      asig: [],
      asigResponse: [],
      elegirAsignaturaURL:"",
      listaTareasURL:"",
    };
  },

  mounted() {
    let ruta = this.$route.path;
    const queryCurso = this.$route.query.curso_id;
    const queryAsig = this.$route.query.asig_id;
    console.log(this.$route.path);
    const peticion = this.$route.query.asig_id;
    const fecha = "";
    const hora = "";
    const fechaCompleta = "";
    const msg = "";
    let vue = this;

    axios
      .get("administracionCursos/cursoAlumno/" +  localStorage.getItem("userId"), {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((res) => {
        vue.curso = res.data;
        console.log(vue.curso.nombre);
      });
    axios
      .get(
        "tarea/obtenerTareasCursoAsignatura/" + queryAsig + "/" + queryCurso,
        {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        }
      )
      .then((response) => {
        vue.tareas = response.data;

        console.log(vue.tareas);
      });

    axios
      .get("administracionCursos/cursoAlumno/" + localStorage.getItem("userId"), {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        this.msg = response.data;
        vue.asig = response.data.asignaturas;
        vue.asig.forEach(function (valor, indice, array) {
          if (peticion == response.data.asignaturas[indice].asigId) {
            vue.asigResponse = response.data.asignaturas[indice];
          }
        });

        console.log(response.data.asignaturas[indice]);

        this.fechaEntrega = this.fecha + this.hora;
      })
      .catch((err) => {
        console.log("index not defined");
      });
      axios
      .get("cuentas/usuario", {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        console.log(response.data.rol);
        if (response.data.rol == "DOCENTE") {
          this.elegirAsignaturaURL=
            "/ElegirAsignatura";
          this.listaTareasURL=
            "/ListaTareasDocente"
        } else if (response.data.rol == "ALUMNO") {
          this.elegirAsignaturaURL=
            "/ElegirAsignaturaAlumno";
            this.listaTareasURL=
            "/ListaTareasEstudiante"
        }

        console.log(this.peticionTarea);
      });
  },
};
</script>
<style>
.body {
  height: 100vh;
}
</style>
